{% load purchase_info_tags %}
{% load thumbnail %}

{% for line in request.basket.all_lines %}
    {% with product=line.product %}
        {% purchase_info_for_line request line as session %}
        <div class="table-row {% if line.product.forbidden_for_delivery %}forbidden-for-delivery{% endif %}">
            <div class="cell first">
                <div class="item-close">
                    <form class="basket-change-form delete-form" method="POST" action="{% url 'basket_extension:line_delete' line.pk %}?render_basket=True">
                        {% csrf_token %}
                        <button class="btn btn-close" type="submit">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg"
                                 xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                                 viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                    <style type="text/css">
                                        .st0 {
                                            fill-rule: evenodd;
                                            clip-rule: evenodd;
                                        }
                                    </style>
                                    <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                    <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                                </svg>
                        </button>
                    </form>
                </div>
                <div class="item-img">
                    {% with image=product.primary_image %}
                        {% thumbnail image.original "70x70" upscale=False as thumb %}
                            <a href="{{ product.get_absolute_url }}">
                                <img src="{{ thumb.url }}" alt="{{ product.get_title }}"/>
                            </a>
                        {% endthumbnail %}
                    {% endwith %}
                </div>
                <div class="item-name">
                    <div class="big">{{ line.product.get_title }}</div>
                    {% if line.options_summary|length %}
                    <div class="desc">Доп. опции: {{ line.options_summary }}</div>
                    {% endif %}
                </div>
            </div>
            <div class="cell second">
                {% if line.is_tax_known %}
                    {{ line.unit_price_incl_tax|floatformat:"0" }}
                {% else %}
                    {{ line.unit_price_excl_tax|floatformat:"0" }}
                {% endif %}
                <span class="rub-icon">
                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg"
                             xmlns:xlink="http://www.w3.org/1999/xlink"
                             x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;"
                             xml:space="preserve">
                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                        </svg>
                    </span>
            </div>
            <div class="cell third">
                <form class="input-group minus basket-change-form update-form" method="POST" action="{% url 'basket_extension:line_update' line.pk %}?render_basket=True">
                        {% csrf_token %}
                        <span class="input-group-btn minus">
                            <button type="button" class="btn btn-number" data-type="minus"
                                    data-target="#basketProductCount{{ forloop.counter }}">
                                <i class="fa fa-angle-down"></i>
                            </button>
                        </span>
                        <input type="number" name="quantity" class="form-control input-number number" id="basketProductCount{{ forloop.counter }}"
                               value="{{ line.quantity }}" min="1" max="100">
                        <span class="input-group-btn plus">
                           <button type="button" class="btn btn-number" data-type="plus"
                                   data-target="#basketProductCount{{ forloop.counter }}">
                                <i class="fa fa-angle-up"></i>
                           </button>
                        </span>
                </form>
            </div>
            <div class="cell four">
                {% if line.has_range_discount or line.has_discount %}
                <div class="old-price">
                    {% if line.is_tax_known %}
                        {{ line.line_price_incl_tax|floatformat:"0" }}
                    {% else %}
                        {{ line.line_price_excl_tax|floatformat:"0" }}
                    {% endif %}
                    <span class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </span>
                </div>
                <div class="new-price">
                    {% if line.is_tax_known %}
                        {{ line.line_price_incl_tax_incl_discounts|floatformat:"0" }}
                    {% else %}
                        {{ line.line_price_excl_tax_incl_discounts|floatformat:"0" }}
                    {% endif %}
                    <span class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </span>
                </div>
                {% else %}
                    {% if line.is_tax_known %}
                        {{ line.line_price_incl_tax|floatformat:"0" }}
                    {% else %}
                        {{ line.line_price_excl_tax|floatformat:"0" }}
                    {% endif %}
                    <span class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </span>
                {% endif %}
            </div>
        </div>

        {% if line.has_present %}
        <div class="table-row present-table-row">
            <div class="cell first">
                <div class="item-close" style="border-color: white;"></div>
                <div class="item-img">
                    {% with image=product.present.primary_image %}
                        {% thumbnail image.original "70x70" upscale=False as thumb %}
                            <a href="{{ product.present.get_absolute_url }}">
                                <img src="{{ thumb.url }}" alt="{{ product.present.get_title }}"/>
                            </a>
                        {% endthumbnail %}
                    {% endwith %}
                </div>
                <div class="item-name">
                    <div class="present-badge">
                      Подарок
                    </div>
                    <div class="big">{{ line.product.present.get_title }}</div>
                </div>
            </div>
            <div class="cell second">
                {{ product.present.default_price.price.excl_tax|floatformat:"0" }}
                <span class="rub-icon">
                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg"
                             xmlns:xlink="http://www.w3.org/1999/xlink"
                             x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;"
                             xml:space="preserve">
                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                        </svg>
                    </span>
            </div>
            <div class="cell third">
                <form class="input-group minus basket-change-form update-form" >
                        <input type="number" name="quantity" class="form-control input-number number" id="basketProductCount{{ forloop.counter }}"
                               value="{{ line.quantity }}" disabled>
                </form>
            </div>
            <div class="cell four">
                <div class="old-price">
                    {% widthratio product.present.default_price.price.excl_tax 1 line.quantity %}
                    <span class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </span>
                </div>
                <div class="new-price">
                    0
                    <span class="rub-icon">
                            <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6  h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                            </svg>
                        </span>
                </div>
            </div>
        </div>
        {% endif %}
    {% endwith %}
{% endfor %}